Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Access Mode
  • Admin Group
  • Admin Space
  • Admin User
  • Admin Users
  • Attachments
  • Backup and Restore
  • Category
  • Child Content
  • Cluster information
  • Content Blueprint
  • Content Body
  • Content Descendant
  • Content Labels
  • Content Property
  • Content Resource
  • Content Restrictions
  • Content Version
  • Content Watchers
  • Global Permissions
  • GlobalColorScheme
  • Group
  • Index Management
  • Instance Metrics
  • Label
  • Long Task
  • Server Information
  • Space
  • Space Label
  • Space Permissions
  • Space Property
  • Space Watchers
  • SpaceColorScheme
  • User
  • User Group
  • User Watch
  • Webhooks
  • Other operations
Server
Confluence Data Center / / REST API

Index Management

Postman Collection
OpenAPI
GET

Get reindex status

Returns the current status of the most recent reindex operation. This includes information about progress, completion status, elapsed time, and job ID.

Example request URI: http://example.com/confluence/rest/api/index/reindex

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

Returns the current reindex status information if available, or a status message if no reindex information is available.

application/json

ReIndexTaskEntity
GET/rest/api/index/reindex
1 2 3 curl --request GET \ --url 'http://{baseurl}/confluence/rest/api/index/reindex' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 { "finished": true, "percentageComplete": 100, "elapsedTime": "00:00:19", "jobID": 2154 }
POST

Rebuild Confluence search index

Rebuilds Confluence's search index. This operation is only available to system administrators and may take significant time to complete.

Example request URI(s):

  • http://example.com/confluence/rest/api/index/reindex
  • http://example.com/confluence/rest/api/index/reindex?option=CONTENT_ONLY&spaceKey=DEMO
  • http://example.com/confluence/rest/api/index/reindex?option=ATTACHMENT_ONLY&option=CONTENT_ONLY&spaceKey=DEMO&spaceKey=TEST

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

spaceKey

array<string>

option

array<string>

Responses

Message indicating that the reindex task was successfully queued.

application/json

MessageResponse
POST/rest/api/index/reindex
1 2 3 curl --request POST \ --url 'http://{baseurl}/confluence/rest/api/index/reindex' \ --header 'Accept: application/json'
200Response
1 2 3 { "message": "Reindex was queued successfully, it may take some time to start. To check the status of the reindex job, please use the GET /reindex endpoint once the reindex has started." }
PUT

Reset reindex job status

Resets the status of the current in-progress reindex job. This is useful when a reindex job has failed/stalled and needs to be cleared before starting a new reindex operation. This operation is only available to system administrators.

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

The reindex job status was successfully reset.

application/json

any

PUT/rest/api/index/resetjob
1 2 3 curl --request PUT \ --url 'http://{baseurl}/confluence/rest/api/index/resetjob' \ --header 'Accept: application/json'
POST

Remove all content from search index

Removes all content from the search index, effectively clearing the entire search index. This operation is destructive and will require a full reindex to restore search functionality. This operation is only available to system administrators.

Warning: This operation will remove all searchable content from the index. Users will not be able to search for content until a reindex is performed.

Example request URI: http://example.com/confluence/rest/api/index/unindex

Forge and OAuth2 apps cannot access this REST resource.

Request

This request has no parameters.

Responses

The search index was successfully cleared of all content.

application/json

any

POST/rest/api/index/unindex
1 2 3 curl --request POST \ --url 'http://{baseurl}/confluence/rest/api/index/unindex' \ --header 'Accept: application/json'

Rate this page: